<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Alumnos</title>
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 


                <p:growl id="msj"/>
                <p:fieldset legend="Actualizar Alumno"  toggleable="true" style="margin-bottom:10px" ><p:autoUpdate />
                    <h:form id="form"  rendered="#{alumnoController.alumno.nombres!=null}">
                        <h:panelGrid columns="6" cellpadding="3" cellspacing="5">
                            <p:outputLabel for="nombres" value="Nombres "/>
                            <p:inputText id="nombres" value="#{alumnoController.alumno.nombres}" style="width:175px"  required="true" requiredMessage="Campo Nombres Requerido"/>
                            <p:outputLabel for="carnet" value="Carnet"/>
                            <p:inputMask required="true" id="carnet" mask="999999" value="#{alumnoController.alumno.carnet}" style="width:175px" requiredMessage="Campo Carnet Requerido"/>
                            <p:outputLabel for="edad" value="Edad"/>
                            <p:inputText maxlength="2" type="" id="edad" value="#{alumnoController.alumno.edad}" style="width:175px" required="true" requiredMessage="Campo Edad Requerido"/>

                            <p:outputLabel for="facultad" value="Facultad"  />
                            <p:selectOneMenu id="facultad" value="#{alumnoController.facultad.id}" style="width:175px" required="true" requiredMessage="Facultad requerida">
                                <f:selectItem itemLabel="Seleccione Facultad" itemValue="" noSelectionOption="true" />
                                <f:selectItems value="#{facultadController.listaFacultad}" var="fac" itemLabel="#{fac.facultad}" itemValue="#{fac.id}"/>
                            </p:selectOneMenu>
                            <p:outputLabel for="carre" value="Carrera " />
                            <p:selectOneMenu id="carre" value="#{alumnoController.carrera.id}" style="width:175px" required="true" requiredMessage="Campo Carrera Requerido">
                                <f:selectItem itemLabel="Seleccione Carrera" itemValue="" noSelectionOption="true" />
                                <f:selectItems value="#{alumnoController.carreList}" var="car" itemLabel="#{car.carrera}" itemValue="#{car.id}"/>
                            </p:selectOneMenu>

                            <p:outputLabel for="genero" value="Género"/>
                            <p:selectOneMenu id="genero" value="#{alumnoController.genero.id}" style="width:175px" required="true" requiredMessage="Genero requerido">
                                <f:selectItem itemLabel="Seleccione Genero" itemValue="" noSelectionOption="true" />
                                <f:selectItems value="#{generoController.lista}" var="genero" itemValue="#{genero.id}" itemLabel="#{genero.genero}"/>
                            </p:selectOneMenu>
                            <p:outputLabel for="estado" value="Estado Civil"/>
                            <p:selectOneMenu id="estado" value="#{alumnoController.estado_civil.id}"  style="width:175px" required="true" requiredMessage="Estado civil requerido">
                                <f:selectItem itemLabel="Seleccione Estado civil" itemValue="" noSelectionOption="true" />
                                <f:selectItems value="#{estado_civilController.lista}" var="estado" itemValue="#{estado.id}" itemLabel="#{estado.estado}"/>
                            </p:selectOneMenu>
                            <p:outputLabel for="departamento" value="Departamento"  />
                            <p:selectOneMenu id="departamento" value="#{alumnoController.departamento.id}" style="width:175px" required="true" requiredMessage="Departamento requerido">
                                <p:ajax listener="#{alumnoController.municipioDepa()}" update="muni" />
                                <f:selectItem itemLabel="Seleccione Departamento" itemValue="" noSelectionOption="true" />
                                <f:selectItems value="#{departamentoController.lista}" var="dep" itemLabel="#{dep.departamento}" itemValue="#{dep.id}"/>
                            </p:selectOneMenu>
                            <p:outputLabel for="muni" value="Municipio "  />
                            <p:selectOneMenu id="muni" value="#{alumnoController.municipio.id}" style="width:175px" required="true" requiredMessage="Municipio requerido">
                                <f:selectItem itemLabel="Seleccione Municipio" itemValue="" noSelectionOption="true" />
                                <f:selectItems value="#{alumnoController.muniList}" var="mun" itemLabel="#{mun.municipio}" itemValue="#{mun.id}"/>
                            </p:selectOneMenu>
                            <p:outputLabel value="Médico que Registró"/>
                            <p:selectOneMenu  value="#{alumnoController.usuario.id}" style="width:175px" required="true" requiredMessage="Municipio requerido">
                                <f:selectItems value="#{usuarioController.lista_usuario}" var="useru" itemLabel="#{useru.medico}" itemValue="#{useru.id}"/>
                            </p:selectOneMenu>
                            <p:outputLabel for="ter" value="Terminos de investigacion"  />
                            <p:selectOneRadio id="ter" value="#{alumnoController.alumno.acuerdo}" style="width:175px" required="true" requiredMessage="Municipio requerido">
                                <f:selectItem itemLabel="SI" itemValue="SI" />
                                <f:selectItem itemLabel="NO" itemValue="NO" />
                            </p:selectOneRadio>
                            <p:outputLabel />
                            <p:outputLabel />
                              <p:commandButton icon="pi pi-times" value="Cancelar" rendered="#{alumnoController.alumno.nombres!=null}" actionListener="#{alumnoController.init()}" update="form"/>
                            <p:commandButton icon="pi pi-refresh" value="Actualizar" rendered="#{alumnoController.alumno.nombres!=null}" actionListener="#{alumnoController.editar()}" update="form,:tabla,:msj"/>
                          
                        </h:panelGrid>
                    </h:form>
                </p:fieldset>
                <br></br>
                <p:fieldset legend="Alumnos registrados" toggleable="true">
                    <h:form id="tabla"  class="onceColumnas">
                        <p:dataTable value="#{alumnoController.alumnoList}" var="alumnos" paginator="true" rows="5">
                            <p:column headerText="Nombre">
                                <p:outputLabel value="#{alumnos.nombres}"/>
                            </p:column>
                            <p:column headerText="Carnet">
                                <p:outputLabel value="#{alumnos.carnet}"/>
                            </p:column>
                            <p:column headerText="Edad">
                                <p:outputLabel value="#{alumnos.edad}"/>
                            </p:column>
                            <p:column headerText="Fecha de Registro">
                                <p:outputLabel value="#{alumnos.fecharegistro}">
                                    <f:convertDateTime pattern="yyyy-MM-dd"/>
                                </p:outputLabel>
                            </p:column>
                            <p:column headerText="Carrera">
                                <p:outputLabel value="#{alumnos.carrera.carrera}"/>
                            </p:column>
                            <p:column headerText="Genero">
                                <p:outputLabel value="#{alumnos.genero.genero}"/>
                            </p:column>
                            <p:column headerText="Estado Civil">
                                <p:outputLabel value="#{alumnos.estado_civil.estado}"/>
                            </p:column>
                            <p:column headerText="Municipio de residencia">
                                <p:outputLabel value="#{alumnos.municipio.municipio}"/>
                            </p:column>
                            <p:column headerText="Medico que registró">
                                <p:outputLabel value="#{alumnos.usuario.medico}"/>
                            </p:column>
                            <p:column headerText="Acuerdo para investigacion">
                                <p:outputLabel value="#{alumnos.acuerdo}"/>
                            </p:column>
                            <p:column headerText="Acciones">
                                <div class="editar" style="margin-bottom:0;"> 
                                <p:commandButton icon="pi pi-pencil"  value="Editar" actionListener="#{alumnoController.consultarById(alumnos)}" update=":form" style="margin-bottom:0; padding:0" />
                                </div>
                                <div class="eliminar" style="float:right; margin-right: -28px;top:-30px;"> 
                                <p:commandButton icon="pi pi-trash"  value="Eliminar" actionListener="#{alumnoController.eliminar(alumnos)}" update=":tabla,:msj" style="margin-top: -10px; margin-bottom:15px;"/>
                                </div>
                            </p:column>
                        </p:dataTable> 
                    </h:form>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </h:body>
</html>

